## pyodc 1.1.2

=== requirements.txt ===
cffi==1.14.5
pandas==1.2.5
pytest==6.2.4
pytest-cov==2.12.1
pytest-flakes==4.0.3

=== docs/requirements.txt ===
ipykernel==5.5.3
nbsphinx==0.8.6
sphinx-rtd-theme==0.5.2
pandas==1.2.4

=== debian/changelog ===
pyodc (1.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Dec 2021 15:42:46 +0000

pyodc (1.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #995441)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Oct 2021 15:09:15 +0100

=== debian/control ===
Source: pyodc
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  python3-all-dev, 
  python3-setuptools,
  python3-nbsphinx,
  python3-sphinx-rtd-theme,
  python3-pandas,
  python3-cffi,
  odc
Standards-Version: 4.6.0
Homepage: https://github.com/ecmwf/pyodc
Vcs-Browser: https://salsa.debian.org:/science-team/pyodc
Vcs-Git: https://salsa.debian.org:/science-team/pyodc.git -b debian/latest


Package: python3-pyodc
Architecture: all
Depends: ${python3:Depends},${sphinxdoc:Depends}, ${misc:Depends}, odc
Suggests: python3-odc-docs
Description: Python interface to `odc` for encoding/decoding ODB-2 files
 This module is a python3 interface to the ODC library from ECMWF
 for Observational Database files.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python3-pyodc-docs
Architecture: all
Depends: ${misc:Depends}, libjs-requirejs, libjs-sphinxdoc
Description: Documentation for python ODC module
 This module is the documentation for the python3 interface 
 to the ODC library from ECMWF for Observational Database files.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=pyodc
DOCDIR=debian/python3-pyodc-docs/usr/share/doc/python3-pyodc-docs

# magic debhelper rule
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build  --buildsystem=pybuild
	# $(MAKE) -C docs html

override_dh_auto_clean:
	rm -rf *.egg-info .eggs .pybuild pyodc/__pycache__ docs/_build

override_dh_sphinxdoc:
	@echo "Bypass sphinx docs until nbsphinx is updated 
	#dh_sphinxdoc 
	#find debian/python3-odc-docs -name '*.html' \
        # -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	#sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js% file:/usr/share/javascript/requirejs%' \
	#< $$r > debian/tmp/x ; \
	##mv debian/tmp/x $$r ; \
        #done
	##for d in doctools.js jquery.js language_data.js searchtools.js underscore.js; do \
	#	rm $(DOCDIR)/_static/$$d ; \ 
	#	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js  $(DOCDIR)/$$d ; done

override_dh_auto_test:
	@echo "Tests are currently disabled as they require downloads"

## pyodc 1.1.4

=== requirements.txt ===
cffi
pandas
pytest
pytest-cov
pytest-flakes

=== docs/requirements.txt ===
ipykernel
nbsphinx
sphinx-rtd-theme==0.5.2
pandas

=== debian/changelog ===
pyodc (1.1.4-1) unstable; urgency=medium

  * New upstream release. 
  * Build-dep on pandoc, Closes: #1031965
  * Standards-Version: 4.6.1
  * Rename docs file to correct name
  * Ship symlinks to common js files
  * Mark -docs pkg as M-A: foreign
  * Patch to use pre-downloaded objects.inv file

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 4 Mar 2023 01:09:28 +0000

pyodc (1.1.3-1) unstable; urgency=medium

  * New upstream  release
  * Build-dep on python3-{ipython,sphinx}

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 08:55:23 +0100

pyodc (1.1.2-2) unstable; urgency=medium

  * Re-enable docs now nbsphinx fixed
  * Add deps on cffi, libodc-0d so that codc will work

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jan 2022 16:38:30 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,11 @@
   python3-sphinx-rtd-theme,
   python3-pandas,
   python3-cffi,
-  odc
-Standards-Version: 4.6.0
+  python3-ipython,
+  python3-sphinx,
+  pandoc,
+  libodc-dev
+Standards-Version: 4.6.1
 Homepage: https://github.com/ecmwf/pyodc
 Vcs-Browser: https://salsa.debian.org:/science-team/pyodc
 Vcs-Git: https://salsa.debian.org:/science-team/pyodc.git -b debian/latest
@@ -19,7 +22,7 @@
 
 Package: python3-pyodc
 Architecture: all
-Depends: ${python3:Depends},${sphinxdoc:Depends}, ${misc:Depends}, odc
+Depends: ${python3:Depends},${sphinxdoc:Depends}, ${misc:Depends}, libodc-0d, python3-cffi
 Suggests: python3-odc-docs
 Description: Python interface to `odc` for encoding/decoding ODB-2 files
  This module is a python3 interface to the ODC library from ECMWF
@@ -30,6 +33,7 @@
 Package: python3-pyodc-docs
 Architecture: all
 Depends: ${misc:Depends}, libjs-requirejs, libjs-sphinxdoc
+Multi-Arch: foreign
 Description: Documentation for python ODC module
  This module is the documentation for the python3 interface 
  to the ODC library from ECMWF for Observational Database files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=pyodc
DOCDIR=debian/python3-pyodc-docs/usr/share/doc/python3-pyodc-docs

# magic debhelper rule
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build  --buildsystem=pybuild
	-($(MAKE) -C docs html ||  true)

override_dh_auto_clean:
	rm -rf *.egg-info .eggs .pybuild pyodc/__pycache__ docs/_build

override_dh_sphinxdoc:
	dh_sphinxdoc 
	find debian/python3-odc-docs -name '*.html' \
         -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js% file:/usr/share/javascript/requirejs%' \
	< $$r > debian/tmp/x ; \
	mv debian/tmp/x $$r ; \
        done
	for d in doctools.js jquery.js language_data.js searchtools.js underscore.js; do \
		rm $(DOCDIR)/_static/$$d ; \ 
		ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js  $(DOCDIR)/$$d ; done

override_dh_auto_test:
	@echo "Tests are currently disabled as they require downloads"

## pyodc 1.4.1

=== requirements.txt ===
cffi
findlibs
pandas
pytest
pytest-cov
pytest-flakes

=== debian/changelog ===
pyodc (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Add debian/watch
  * Standards-Version: 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Sep 2024 10:30:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyodc
 Section: python
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
   dh-sequence-python3,
   python3-all-dev, 
@@ -14,10 +15,10 @@
   python3-sphinx,
   pandoc,
   libodc-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf/pyodc
-Vcs-Browser: https://salsa.debian.org:/science-team/pyodc
-Vcs-Git: https://salsa.debian.org:/science-team/pyodc.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/pyodc
+Vcs-Git: https://salsa.debian.org/science-team/pyodc.git -b debian/latest
 
 
 Package: python3-pyodc

## pyodc 1.5.0

=== debian/changelog ===
pyodc (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Build-dep on pybuild-plugin-pyproject; drop pre-built objects.inv

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Feb 2025 07:44:07 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
   dh-sequence-python3,
   python3-all-dev, 
   python3-setuptools,
+  pybuild-plugin-pyproject,
   python3-nbsphinx,
   python3-sphinx-rtd-theme,
   python3-pandas,

## pyodc 1.6.0

=== requirements.txt ===
cffi
findlibs
pandas
pytest
pytest-cov
pytest-flakes
packaging

=== debian/changelog ===
pyodc (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Feb 2025 10:22:24 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   python3-sphinx,
   pandoc,
   libodc-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/ecmwf/pyodc
 Vcs-Browser: https://salsa.debian.org/science-team/pyodc
 Vcs-Git: https://salsa.debian.org/science-team/pyodc.git -b debian/latest

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/ecmwf/pyodc/tags .*/v?(\d\d?\d?\..+).tar\.gz
